diff options
author | Kyle K <kylek389@gmail.com> | 2020-01-30 16:07:31 -0600 |
---|---|---|
committer | Kyle K <kylek389@gmail.com> | 2020-01-30 16:07:31 -0600 |
commit | 085fd7b7925a028c989e6d18e3bc3d4cdb4c2780 (patch) | |
tree | 410b63bdf79e0ced324c5ab57dcb1bb1b6525846 /postinstall.sh | |
parent | fb028220dbcc5dc2a1d4078b1ecd7b2749700014 (diff) | |
download | gentoox-085fd7b7925a028c989e6d18e3bc3d4cdb4c2780.tar.gz gentoox-085fd7b7925a028c989e6d18e3bc3d4cdb4c2780.tar.bz2 gentoox-085fd7b7925a028c989e6d18e3bc3d4cdb4c2780.zip |
begin theming, patch firefox for KDE global menu
Diffstat (limited to 'postinstall.sh')
-rwxr-xr-x | postinstall.sh | 73 |
1 files changed, 37 insertions, 36 deletions
diff --git a/postinstall.sh b/postinstall.sh index 7be544e..2169e08 100755 --- a/postinstall.sh +++ b/postinstall.sh @@ -1,36 +1,37 @@ -#!/bin/bash
-if [ $(id -u) != "0" ]; then
- echo "This script must be run as root" 1>&2
- exit 1
-fi
-
-# post install
-#
-# adjust nproc in make.conf
-
-# setup /etc/fstab
-
-#plymouth-set-default-theme fade-in
-# adjust /etc/default/grub
-# splash quiet
-
-#rc-update add zfs-import boot
-#rc-update add zfs-mount boot
-
-rc-update add dbus default
-rc-update add dhcpcd default
-rc-update add avahi-daemon default
-
-sensors-detect --auto
-rc-update add lm_sensors default
-
-cp /etc/samba/smb.conf.default /etc/samba/smb.conf
-sed -i "s/ workgroup = MYGROUP/ workgroup = WORKGROUP/" /etc/samba/smb.conf
-
-# grub-mkconfig -o /boot/grub/grub.cfg
-
-
-
-
-su - gentoox
-flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
+#!/bin/bash +if [ $(id -u) != "0" ]; then + echo "This script must be run as root" 1>&2 + exit 1 +fi + +# post install +# +# adjust nproc in make.conf + +# setup /etc/fstab + +#plymouth-set-default-theme fade-in +# adjust /etc/default/grub +# splash quiet + +#rc-update add zfs-import boot +#rc-update add zfs-mount boot + +rc-update add dbus default +rc-update add dhcpcd default +rc-update add avahi-daemon default + +sensors-detect --auto +rc-update add lm_sensors default + +cp /etc/samba/smb.conf.default /etc/samba/smb.conf +sed -i "s/ workgroup = MYGROUP/ workgroup = WORKGROUP/" /etc/samba/smb.conf + +# grub-mkconfig -o /boot/grub/grub.cfg + + + + +su - gentoox +flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo +kpackagetool5 -i "GentooX Breeze Dark Transparent.tar.gz" |